package com.fr.plugin;

import com.fr.decision.fun.SystemOptionProvider;
import com.fr.decision.fun.impl.AbstractSystemOptionProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.plugin.web.FanruanComponent;
import com.fr.stable.fun.mark.API;
import com.fr.web.struct.Atom;


@FunctionRecorder
@API(level = SystemOptionProvider.CURRENT_LEVEL)
public class FanruanOption extends AbstractSystemOptionProvider {

    @Override
    @ExecuteFunctionRecord
    public String id() {
        return "decision-management-fanruan-help";
    }

    @Override
    public String displayName() {
        return "Dec_System_Option_Fanruan_Help";
    }

    @Override
    public int sortIndex() {
        return 2;
    }

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return FanruanComponent.KEY;
    }
}