package com.fr.plugin.web;

import com.fr.web.struct.Component;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;


public class FanruanComponent extends Component {

    public static FanruanComponent KEY = new FanruanComponent();

    private FanruanComponent(){

    }

    @Override
    public ScriptPath script() {
        return ScriptPath.build("/com/fr/plugin/web/resources/js/bundle.js");
    }

    @Override
    public StylePath style() {
        return StylePath.build("/com/fr/plugin/web/resources/css/bundle.min.css");
    }
}