!(function () {

    //  示例,向menus中加入帆软官网.
    BI.config("dec.provider.frame.menu", function (provider) {
        provider.inject({
            menus: [
                {
                    value: "fanruan",
                    text: BI.i18nText("帆软"),
                    cardType: {
                        src: "http://www.fanruan.com/"
                    },
                    cls: "fr-logo-font"
                }
            ]
        });
    });

    //  示例,向管理系统节点加入帆软帮助文档
    //  特别注意,此配置需要配合服务端SystemOptionProvider接口使用,不然会因无权限而不显示节点.
    BI.config("dec.provider.management", function (provider) {
        provider.inject({
            modules: [
                {
                    value: "frhelp", // 地址栏显示的hash值
                    id: "decision-management-fanruan-help", // id
                    text: BI.i18nText("帮助文档"), // 文字
                    cardType: "dec.management.fanruan_help", // 组件的shortcut,适用于用fineui开发的页面.
                    cls: "fr-logo-font" // 图标类名
                }
            ]
        });
    });


    //  组件实现,效果为使用绝对布局组件放置了一个iframe
    var Fanruan = BI.inherit(BI.Widget, {

        props: {
            baseCls: "dec-management-fanruan"
        },

        render: function () {
            return {
                type: "bi.absolute",
                items: [
                    {
                        el: {
                            type: "bi.iframe",
                            src: "http://help.finereport.com/"
                        },
                        top: 0,
                        left: 0,
                        right: 0,
                        bottom: 0
                    }
                ]
            };
        }
    });
    BI.shortcut("dec.management.fanruan_help", Fanruan);
}());